## hivex 1.3.18

=== debian/changelog ===
hivex (1.3.18-2ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds Read
    - debian/patches/CVE-2021-3504.patch: lib/handle.c: Add missing
    bounds check for block exceeding page length.
    - CVE-2021-3504

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Thu, 11 Nov 2021 18:16:58 +0000

hivex (1.3.18-2build2) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:11:01 +0000

hivex (1.3.18-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:19:57 +0100

hivex (1.3.18-2) unstable; urgency=medium

  * Remove Python2 bindings package (Closes: #936706)

 -- Hilko Bengen <bengen@debian.org>  Sat, 16 Nov 2019 21:02:02 +0100

hivex (1.3.18-1) unstable; urgency=medium

  * New upstream version 1.3.18

 -- Hilko Bengen <bengen@debian.org>  Sun, 03 Feb 2019 17:11:32 +0100

hivex (1.3.17-1) unstable; urgency=medium

  * New upstream version 1.3.17

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Jan 2019 11:09:33 +0100

hivex (1.3.16-1) unstable; urgency=medium

  * New upstream version 1.3.16
  * Update watch file
  * Bump Debhelper compat level
  * Replace dh_install --fail-missing
  * Bump Standards-Version
  * Add patch to fix Perl path in hivexregedit
  * Ignore Python3 bindings for dh_makeshlibs

 -- Hilko Bengen <bengen@debian.org>  Tue, 22 Jan 2019 16:23:27 +0100
