=== debian/control ===
Source: hivex
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 12), dh-python,
 autopoint,
 pkg-config,
 libxml2-dev,
 libreadline-dev,
 libio-stringy-perl,
 ocaml-findlib, dh-ocaml (>= 0.9~), ocaml-nox (>= 3.11.1-3~),
 python3-all-dev,
 gem2deb, rake,
Standards-Version: 4.3.0
Homepage: http://libguestfs.org/
Vcs-Git: https://salsa.debian.org/libvirt-team/hivex.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/hivex

Package: libhivex0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libguestfs0 (<= 1.0.84-4)
Description: library for reading and writing Windows Registry hives
 libhivex is a self-contained library for reading and writing Windows
 Registry "hive" binary files.
 .
 Unlike many other tools in this area, it doesn't use the textual .REG
 format for output, because parsing that is as much trouble as parsing
 the original binary format. Instead it makes the file available
 through a C API, or there is a separate program to export the hive as
 XML.

Package: libhivex-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libhivex0 (= ${binary:Version})
Description: library for reading and writing Windows Registry hives
 libhivex is a self-contained library for reading and writing Windows
 Registry "hive" binary files.
 .
 This package provides static libraries and header files.

Package: libhivex-bin
Section: otherosfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities for reading and writing Windows Registry hives
 libhivex is a self-contained library for reading and writing Windows
 Registry "hive" binary files.
 .
 This package contains a few command line programs that utilize libhivex.

Package: libwin-hivex-perl
Section: perl
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Perl bindings to hivex
 Perl bindings for libhivex, a library for reading and writing
 Windows Registry "hive" binary files.
 .
 This package also contains hivexregedit, a low-level command-line
 tool for manipulating and dumping registry hives.

Package: libhivex-ocaml
Architecture: any
Section: ocaml
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for hivex -- runtime files
 OCaml bindings for libhivex, a library for reading and writing
 Windows Registry "hive" binary files.
 .
 This package include only the shared runtime stub libraries.

Package: libhivex-ocaml-dev
Architecture: any
Section: ocaml
Depends: ${ocaml:Depends}, libhivex-dev, ${shlibs:Depends},  ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for hivex -- development files
 OCaml bindings for libhivex, a library for reading and writing
 Windows Registry "hive" binary files.
 .
 This package contains all the files needed to develop OCaml programs
 which use OCaml bindings to libhivex.

Package: python3-hivex
Architecture: any
Section: python
Breaks: python-hivex (<< 1.3.7-5~)
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python 3 bindings for hivex
 Python 3 bindings for libhivex, a library for reading and writing
 Windows Registry "hive" binary files.

Package: ruby-hivex
Architecture: any
Multi-Arch: same
Section: ruby
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ruby bindings for hivex
 Ruby bindings for libhivex, a library for reading and writing
 Windows Registry "hive" binary files.
