## hivex 1.3.19

=== debian/changelog ===
hivex (1.3.19-1ubuntu4) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 21:58:39 +0200

hivex (1.3.19-1ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:44:48 +0100

hivex (1.3.19-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 12:16:16 +0100

hivex (1.3.19-1ubuntu1) hirsute; urgency=medium

  * Don't run gnulib tests as part of the hivex tests.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Oct 2020 14:57:10 +0100

hivex (1.3.19-1build3) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 10:56:44 +0100

hivex (1.3.19-1build2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:52:31 +0200

hivex (1.3.19-1build1) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Aug 2020 12:39:25 +0200

hivex (1.3.19-1) unstable; urgency=medium

  * New upstream version 1.3.19

 -- Hilko Bengen <bengen@debian.org>  Sat, 01 Aug 2020 14:21:05 +0200
