## hivex 1.3.20

=== debian/changelog ===
hivex (1.3.20-1) unstable; urgency=medium

  * New upstream version 1.3.20
  * Includes fix for CVE-2021-3504  (Closes: #988024)

 -- Hilko Bengen <bengen@debian.org>  Wed, 05 May 2021 00:09:58 +0200
