## hivex 1.3.21

=== debian/changelog ===
hivex (1.3.21-1ubuntu5) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:50:44 +0100

hivex (1.3.21-1ubuntu4) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:35:29 +0100

hivex (1.3.21-1ubuntu3) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 09:11:44 +0100

hivex (1.3.21-1ubuntu2) jammy; urgency=medium

  * d/rules: correctly detect supported ruby versions with dh_ruby. It fixes a
    FTBFS against ruby3.0.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 12:09:15 -0300

hivex (1.3.21-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/no-gnulib-tests.diff: Don't run gnulib tests as part of
      the hivex tests.

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Wed, 18 Aug 2021 21:47:55 +0000

hivex (1.3.21-1) unstable; urgency=medium

  * New upstream version 1.3.21
  * Includes fix for CVE-2021-3622 (Closes: #991860) 

 -- Hilko Bengen <bengen@debian.org>  Wed, 18 Aug 2021 16:44:03 +0200
