## hivex 1.3.23

=== debian/changelog ===
hivex (1.3.23-2ubuntu1) oracular; urgency=medium

  * d/p/0002-Fix-ftbfs-with-new-minitest.patch: Add support for newer
    Minitest.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 22 Aug 2024 14:33:02 -0300

hivex (1.3.23-2build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Aug 2024 10:00:49 +0200

hivex (1.3.23-2build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:35:28 +0200

hivex (1.3.23-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:10:27 +0200

hivex (1.3.23-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Do not hardcode /usr/lib/ocaml (Closes: #1077896)

  [ Hilko Bengen ]
  * Update build-dependency pkg-config -> pkgconf
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Tue, 06 Aug 2024 18:50:42 +0200

hivex (1.3.23-1) unstable; urgency=medium

  * New upstream version 1.3.23
  * Bump Standards-Version, Debhelper compat level, remove Python 2 remains
  * Update installation paths
  * Ask about supported instead of installed Python versions (Thanks, Lintian)

 -- Hilko Bengen <bengen@debian.org>  Thu, 19 Jan 2023 18:01:02 +0100

hivex (1.3.21-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [Lucas Kanashiro]
  * d/rules: correctly detect supported ruby versions with with dh_ruby
    (Closes: #1006286)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 26 Feb 2022 12:32:10 -0300
