=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: hivex
 Section: libs
 Priority: optional
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper (>= 12), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
  autopoint,
- pkg-config,
+ pkgconf,
  libxml2-dev,
  libreadline-dev,
  libio-stringy-perl,
  ocaml-findlib, dh-ocaml (>= 0.9~), ocaml-nox (>= 3.11.1-3~),
  python3-all-dev,
  gem2deb, rake,
-Standards-Version: 4.3.0
+Standards-Version: 4.7.0
 Homepage: http://libguestfs.org/
 Vcs-Git: https://salsa.debian.org/libvirt-team/hivex.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/hivex
