## hivex 1.3.24

=== debian/changelog ===
hivex (1.3.24-2) unstable; urgency=medium

  * Add missing build-dependencies (Closes: #1102809)
  * Bump Standards-Version, watch file version

 -- Hilko Bengen <bengen@debian.org>  Mon, 17 Nov 2025 23:00:09 +0100

hivex (1.3.24-1) unstable; urgency=medium

  * New upstream version 1.3.24

 -- Hilko Bengen <bengen@debian.org>  Sun, 01 Sep 2024 14:29:16 +0200
