=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: hivex
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python,
  autopoint,
  pkgconf,
+ libcrypt-dev,
  libxml2-dev,
  libreadline-dev,
  libio-stringy-perl,
  ocaml-findlib, dh-ocaml (>= 0.9~), ocaml-nox (>= 3.11.1-3~),
+ perl-xs-dev,
  python3-all-dev,
  gem2deb, rake,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://libguestfs.org/
 Vcs-Git: https://salsa.debian.org/libvirt-team/hivex.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/hivex
