=== debian/watch ===
version=4
http://download.libguestfs.org/hivex/ hivex-(.*)\.tar\.gz
